//  SVG Chart Generator JavaSript Functions 02/08/28
//
//
//*****************************************************************************
// * Copyright (c) 2005 IBM Corporation and others.
// * All rights reserved.   This program and the accompanying materials
// * are made available under the terms of the Eclipse Public License v1.0
// * which accompanies this distribution, and is available at
// * http://www.eclipse.org/legal/epl-v10.html
// * $Id$
// * 
// * Contributors: 
// * IBM - Initial API and implementation 
// *****************************************************************************/


// get/set cookie functions for SVG use in NN 4.7
function get_NNCookie(name){		
	if (document.cookie != null) {		
		var start = document.cookie.indexOf(name+ "=");
		var len = start+name.length+1;
		if ((!start) && (name != document.cookie.substring(0,name.length))) return null;
		if (start == -1) return null;
		var end = document.cookie.indexOf(";",len);
		if (end == -1) end = document.cookie.length;
		return unescape(document.cookie.substring(len,end));
	} else {
 		return null;
	}
} 
			
function set_NNCookie(name,value,expires,path,domain,secure){	
	document.cookie = name + "=" + escape(value) +
	((expires) ? ";expires=" + expires.toGMTString() : "") +
	((path) ? ";path=" + path : "") + 
	((domain) ? ";domain=" + domain : "") + 
	((secure) ? ";secure" : "");
}

// in the <script> element content of the importing document, create this var and set it to false
var hasSVGCookieSupport = true;

